#include<stdio.h>
#include<conio.h>
//
main()
{
clrscr();
//
int n, p, o;
//
printf("n=_"); scanf("%d", &n);
p=1;
while (n>0) { o=n%10; if (o%2==0 ) {p=p*o;}  n=n\10; }
printf("p=%d", p);
//
getch();
}